<!--#include file="top.TPL"-->
<link href="/skin/default/template/style/css/admin.css" rel="stylesheet" type="text/css">

<table width="1003" align="center" border="0" cellspacing="0" cellpadding="0" class="table-zuoyou" bordercolor="#CCCCCC">
  <tr>
    <td class="table-shangxia" background="images/class_bg.jpg" height=50 align=left>　<img src="/tpl/images/ring02.gif" width="23" height="15" align="absmiddle"> <a href="/index.html">首页</a> >> [<a href="/member/index.asp" target="_blank">会员{anxinMall:field.username}的管理中心</a>] >>  我的购物车 >> 填写收货信息</td>
  </tr>
</table>
<table width="1003" align="center" border="0" cellspacing="0" cellpadding="0" class="table-zuoyou" bordercolor="#CCCCCC">
  <tr>
    <td bgColor=#ffffff colSpan=2 height=1></TD>
  </tr>
  <tr bgcolor="#ffffff">
    <td bgColor="#f1f1f1" colspan="2" height="30" align="center">请正确填写以下收货信息</td>
  </tr>
  <tr>
    <td bgColor=#cccccc colSpan=2 height=1></TD>
  </tr>
  <tr>
    <td bgColor=#f1f1f1 colSpan=2 height=3></TD>
  </tr>
  <form name="shouhuoxx" method="post" action="jszx.asp?action=shop2" onsubmit="ssxx">
    <tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">收货人真实姓名：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left"><input name=userid type=hidden value="{anxinMall:field.userid}">
          <input name="userzhenshiname" class="wenbenkuang" type="text" id="userzhenshiname" size="16" value={anxinMall:field.userzhenshiname}>
        性别：
        <select class="wenbenkuang" name="shousex" id="shousex">{anxinMall:field.sexselect}</select>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">详细地址：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left"><input class="wenbenkuang" name="shouhuodizhi" type="text" id="shouhuodizhi" size="50" value={anxinMall:field.shouhuodizhi}>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">邮政编码：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left"><input class="wenbenkuang" name="youbian" type="text" id="youbian" size="16" value="{anxinMall:field.youbian}" ONKEYPRESS="event.returnValue=IsDigit();"></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">联系电话：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left"><input class="wenbenkuang" name="usertel" type="text" id="usertel" size="16" value={anxinMall:field.usertel}>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">电子邮件：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left"><input class="wenbenkuang" name="useremail" type="text" id="useremail" size="30" value={anxinMall:field.useremail}>
      </td>
    </tr>
	<tr bgcolor="#ffffff">
      <td width="30%" height="30" align="right" class="table-xia">送货方式：</td>
      <td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left">
      <select name=songhuofangshi size=1 style='width:180px'>{anxinMall:field.songhuoselect}</select>
      </td>
    </tr>
    <tr bgcolor="#ffffff">
	<td width="30%" height="30" align="right" class="table-xia">支付方式：</td>
	<td width="70%" height="30" style="PADDING-LEFT: 20px" class="table-xia" align="left">
		<select name=zhifufangshi size=3 style='width:180px'>{anxinMall:field.zhifuselect}</select>
	</td>
    </tr>
    <tr bgcolor="#ffffff">
      <td height="40" colspan="2" align=center><input class="go-wenbenkuang" type="button" name="Submit2" value="上一步" onclick="javascript:history.go(-1)">
          <input class="go-wenbenkuang" type="submit" name="Submit4" value="OK,下一步" onclick='return ssxx();'>
      </td>
    </tr>
  </form>
</table>
<SCRIPT LANGUAGE="JavaScript">
<!--
function IsDigit()
{
  return ((event.keyCode >= 48) && (event.keyCode <= 57));
}
function checkspace(checkstr) {
  var str = '';
  for(i = 0; i < checkstr.length; i++) {
    str = str + ' ';
  }
  return (str == checkstr);
}

function ssxx()
{
   if(checkspace(document.shouhuoxx.userzhenshiname.value)) {
	document.shouhuoxx.userzhenshiname.focus();
    alert("对不起，请填写收货人姓名！");
	return false;
  }
  if(checkspace(document.shouhuoxx.shouhuodizhi.value)) {
	document.shouhuoxx.shouhuodizhi.focus();
    alert("对不起，请填写收货人详细收货地址！");
	return false;
  }
  if(checkspace(document.shouhuoxx.youbian.value)) {
	document.shouhuoxx.youbian.focus();
    alert("对不起，请填写邮编！");
	return false;
  }
  if(document.shouhuoxx.youbian.value.length!=6) {
	document.shouhuoxx.youbian.focus();
    alert("对不起，请正确填写邮编！");
	return false;
  } 
    if(checkspace(document.shouhuoxx.usertel.value)) {
	document.shouhuoxx.usertel.focus();
    alert("对不起，请留下您的电话！");
	return false;
  }
    if(checkspace(document.shouhuoxx.songhuofangshi.value)) {
	document.shouhuoxx.songhuofangshi.focus();
    alert("对不起，请选择送货方式！");
	return false;
  }
  if(document.shouhuoxx.useremail.value.length!=0)
  {
    if (document.shouhuoxx.useremail.value.charAt(0)=="." ||        
         document.shouhuoxx.useremail.value.charAt(0)=="@"||       
         document.shouhuoxx.useremail.value.indexOf('@', 0) == -1 || 
         document.shouhuoxx.useremail.value.indexOf('.', 0) == -1 || 
         document.shouhuoxx.useremail.value.lastIndexOf("@")==document.shouhuoxx.useremail.value.length-1 || 
         document.shouhuoxx.useremail.value.lastIndexOf(".")==document.shouhuoxx.useremail.value.length-1)
     {
      alert("Email地址格式不正确！");
      document.shouhuoxx.useremail.focus();
      return false;
      }
   }
 else
  {
   alert("Email不能为空！");
   document.shouhuoxx.useremail.focus();
   return false;
   }
   
}
//-->
</script>
<!--#include file="bottom.TPL"-->